Subject: Re: Guide: Defintion of CS

From: [email-masked]
Date: Mon, 19 Mar 2001 17:49:49 -0500

Steve responded with:
> The latest draft says: 
> >   Calendar Store 
> >      A data store of a calendar service. A calendar service may 
> >      have several calendar stores, and each store may contain 
> >      several calendars, as well as properties and components 
> >      outside of the calendars. 
> 
> I do not recall seeing any text about multiple stores in a service 
> or how a user would be able to access one store vs another in the 
> service.  TARGETs are calendars and the CSIDs in CAP were for 
> services I thought so how do I access 1 store vs another?? 
> 
> Did I miss this addition to CAP??
> 
> Isn't this covered in section 2.6 ?   Calendar Addresses.  We have 
> many examples of fully qualified csids. 

Ok, I need to clarify my concerns.  "The Guide" has the following 
definition for Calendar Store:

   Calendar Store 
      A data store of a calendar service. A calendar service may 
      have several calendar stores, and each store may contain 
      several calendars, as well as properties and components 
      outside of the calendars. 

but in CAP (Section 1.3 Defintions actually) it is defined as:

          Calendar Service 
 
                  An implementation of a Calendar Store that manages 
                  one or more calendars.

          Calendar Store (CS) 
 
                  The data and service model definition for a Calendar 
                  Service.

Anyone else notice a distinct difference??  The entire tidbit about 
"several stores"!  This is a non-trivial difference and one that is new to 
me.  I _hope_ its just an editing remnant from an earlier version, NOT a 
new definition for CS. 

After all, what is the use of multiple stores in 1 server if TARGETs are 
not (STORE, CALENDAR) specific?  Anyone care to imagine 1 server with 5 
stores and the same CALENDAR in each??  Thats just another level of 
unwanted complexity.  Ugh!

Bruce
===========================================================================
Bruce Kahn                                INet: [email-masked]
Iris Associates                          Phone: 978.392.5335
Westford, MA, USA 01886                    FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...

---

From: "Dan Hickman" <[email-masked]>
Date: Mon, 19 Mar 2001 21:28:19 -0600

Greetings All !

Some of you may remember me.  I've been away from the working group for a
while now.  I'd like to get some feedback on what everyone thinks of
Microsoft's press release today that they will be providing calendar
services as part of their Hailstorm web services
(http://microsoft.com/presspass/features/2001/mar01/03-19hailstorm.asp).

It doesn't seem as though Microsoft is participating in the working group
anymore.  Does this mean that they are abandoning iCalendar?  Does anyone
know why they are no longer active in the group?

Regards,
Dan Hickman
Rockin' Software
[email-masked]
http://www.rockinsoftware.com

---

From: John Stracke <[email-masked]>
Date: Tue, 20 Mar 2001 09:35:36 -0600

Dan Hickman wrote:

> It doesn't seem as though Microsoft is participating in the
> working group anymore.  Does this mean that they are abandoning
> iCalendar?

They've been implementing iCalendar in their newer desktop apps.
However, I could envision them making an argument that, in the
Hailstorm world, where the data all lives on the server, data
exchange is a moot point.

--
/==============================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.|
|Chief Scientist |=============================================|
|eCal Corp.      |Please do not look into laser with remaining |
[email-masked]|eyeball.                                     |
\==============================================================/